%global pypi_name show-in-file-manager

Name:           python-%{pypi_name}
Version:        1.1.4
Release:        %mkrel 1
Summary:        Open the system file manager and select files in it
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/iniconfig
Source0:        %{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Show in File Manager is a Python package to open the system file manager
and optionally select files in it.   The point is not to open the files,
but to select them in the file manager, thereby highlighting  the files and
allowing the user to quickly do something with them..

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Show in File Manager is a Python package to open the system file manager
and optionally select files in it.   The point is not to open the files,
but to select them in the file manager, thereby highlighting  the files and
allowing the user to quickly do something with them..

%prep
%setup -qn %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README* LICENSE
%{_bindir}/show*
%{python3_sitelib}/showinfm
%{python3_sitelib}/show_in_file_manager-*-py%{python3_version}.egg-info

%changelog
* Thu Aug 25 2022 TerryN <terryn94 at gmail.com> 1.1.4-1pclos2022
- import for python 3.10
